openPilotLog

Public Member Functions | List of all members
ATimer Class Reference

The ATimer class provides an easy to use performance timer. More...

`#include <atimer.h>`

Inheritance diagram for ATimer:

## Public Member Functions
| ATimer (QObject *parent=nullptr)
long | timeNow ()
| timeNow takes an intermediate timing and returns miliseconds elapsed.

## Detailed Description

The ATimer class provides an easy to use performance timer.

It automatically stops when going out of scope and prints the elapsed time to the console. Intermediate timings can be manually obtained with timeNow().

It can be given a QObject as a parent to time its lifetime or can be used without parent in any context.

The documentation for this class was generated from the following files:

- src/testing/atimer.h
- src/testing/atimer.cpp